> ## Documentation Index > Fetch the complete documentation index at: https://docs.grassfish.com/llms.txt > Use this file to discover all available pages before exploring further. # Initialize a new spot upload > This is the first step of uploading a spot to the server. If you don't add a spot group ID, the spot is added to the `Not assigned` spot group and uploaded as read-only. To enable editing, move the spot to another spot group, which will apply the appropriate permissions. ## OpenAPI ````json POST /v{version}/Content/Upload/Spot/Initialize { "openapi": "3.0.1", "info": { "title": "IXM Platform API 1.21", "description": "IXM Platform API", "contact": { "name": "Grassfish", "url": "https://grassfish.com", "email": "support@grassfish.com" }, "version": "1.21" }, "paths": { "/v{version}/Content/Upload/Spot/Initialize": { "post": { "tags": [ "Content" ], "summary": "Initialize a new spot upload", "description": "This is the first step of uploading a spot to the server.\r\nIf you don't add a spot group ID, the spot is added to the `Not assigned` spot group and uploaded as read-only.\r\nTo enable editing, move the spot to another spot group, which will apply the appropriate permissions.", "operationId": "Content_InitializeSpotUpload", "parameters": [ { "name": "version", "in": "path", "description": "The requested API version", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Spot upload initialization request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/V1.Models.SpotUploadRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "string", "format": "uuid" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.ModelStateError" } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } }, "500": { "description": "Unexpected error", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Common.Models.Error" } } } } }, "security": [ { "api_key": [] }, { "session_id": [] } ] } } }, "components": { "schemas": { "V1.Models.SpotUploadRequest": { "required": [ "DisplayName", "FileName", "FileSize" ], "type": "object", "properties": { "AllowVariants": { "type": "boolean", "description": "If `true`, the creation of variant is allowed.\r\nDefault: `false`." }, "DisplayName": { "type": "string", "description": "Display name of the spot" }, "Duration": { "type": "integer", "description": "Duration of the spot in seconds", "format": "int32" }, "FileName": { "type": "string", "description": "File name of the spot" }, "FileSize": { "type": "integer", "description": "Size of the spot in bytes", "format": "int64" }, "LocationId": { "type": "integer", "description": "Unique ID of the location assigned to the spot", "format": "int32" }, "PlayerId": { "type": "integer", "description": "Unique ID of the player assigned to the spot", "format": "int32" }, "SpotGroupId": { "type": "integer", "description": "Unique ID of the spot group where the spot is placed in", "format": "int32" }, "SpotType": { "$ref": "#/components/schemas/V1.Enums.SpotType" } }, "description": "Request model for initializing a new spot upload" }, "Common.Models.ModelStateError": { "type": "object", "properties": { "ValidationErrors": { "type": "object", "additionalProperties": { "type": "array", "items": { "type": "string" } } } } }, "Common.Models.Error": { "type": "object", "properties": { "Id": { "type": "string" }, "Message": { "type": "string" }, "Type": { "type": "string" }, "Values": { "type": "object", "additionalProperties": { "type": "object" } } } }, "V1.Enums.SpotType": { "enum": [ "Default", "Composer", "Trigger", "Ticker", "Url", "OverlayTrigger", "XmlDataSpot", "Audio", "Stream", "Zip", "WebsiteSpot", "HtmlComposerSpot", "WizardSpot", "Font", "WizardSpotMedia", "DashboardWidget", "DashboardWidgetMedia", "Qml", "ComposerPlayer", "RoomManager", "ConvertedSpot", "AscInterface", "AscPlayer" ], "type": "string", "description": "Spot types" } }, "securitySchemes": { "api_key": { "type": "apiKey", "description": "Api Key", "name": "X-ApiKey", "in": "header" }, "session_id": { "type": "apiKey", "description": "Session Id", "name": "X-Session-Id", "in": "header" } } } } ````